# spam.tcl --
#
# This file is part of SPAM (Smith's PAckage Manager).  It
# maintains a list of all packages, and is automatically
# generated.  Edit it at your own peril!

proc spamPkgSetup {dir obj tcl} {
    foreach f $obj {load "$dir/$f"}
    # Added 'uplevel #0' on advice of Peter Onion (ponion@srd.bt.co.uk)
    foreach f $tcl {uplevel #0 source [list "$dir/$f"]}
}

	    
set spamGlobals(installed) {Tcl7.6 Tk4.2 dp4.0}

set spamGlobals(Tcl7.6,name) Tcl
set spamGlobals(Tcl7.6,version) 7.6
set spamGlobals(Tcl7.6,readme) {}
set spamGlobals(Tcl7.6,requires) {}
set spamGlobals(Tcl7.6,url) {}
set spamGlobals(Tcl7.6,objFiles) {}
set spamGlobals(Tcl7.6,tclFiles) {}
set spamGlobals(Tcl7.6,dataFiles) {}

set spamGlobals(Tk4.2,name) Tk
set spamGlobals(Tk4.2,version) 4.2
set spamGlobals(Tk4.2,readme) {}
set spamGlobals(Tk4.2,requires) {}
set spamGlobals(Tk4.2,url) {}
set spamGlobals(Tk4.2,objFiles) {}
set spamGlobals(Tk4.2,tclFiles) {}
set spamGlobals(Tk4.2,dataFiles) {}

set spamGlobals(dp4.0,name) dp
set spamGlobals(dp4.0,version) 4.0
set spamGlobals(dp4.0,readme) /usr/local/lib/dp4.0/readme
set spamGlobals(dp4.0,requires) {{Tcl 7.6}}
set spamGlobals(dp4.0,url) http://www.cs.cornell.edu/Info/Projects/zeno/Projects/Tcl-DP.html
set spamGlobals(dp4.0,objFiles) libdp40.so
set spamGlobals(dp4.0,tclFiles) {acl.tcl rpc.tcl distribObj.tcl dp_atexit.tcl dp_atclose.tcl ldelete.tcl oo.tcl}
set spamGlobals(dp4.0,dataFiles) {}
package ifneeded dp 4.0 "spamPkgSetup /usr/local/lib/dp4.0   libdp40.so {acl.tcl rpc.tcl distribObj.tcl dp_atexit.tcl dp_atclose.tcl ldelete.tcl oo.tcl}"
